Description

History

#1 - 03/08/2013 01:31 PM - Constantin Asofiei

- File ca_upd20130308f.zip added

4GL allows extent vars/fields to be used in a PUT statement:

def var i as char extent 5.

def stream rpt.

output stream rpt to a.txt.

i[1] = "1".

i[2] = "2".

i[3] = "3".

i[4] = "4".

i[5] = "5".

put stream rpt i[1] i[2] i[3] i[4] i[5].

put stream rpt i.

find first person.

put stream rpt person.schedule.

output stream rpt close.

 

For such extent cases, the var/field needs to be expanded during post-parse-fixups. Note that dynamic extent vars can not be used in this case.

The attached update solves this, and is going through conversion regression testing.
#2 - 03/08/2013 02:58 PM - Constantin Asofiei

- File ca_upd20130308h.zip added

Had a regression (didn't handle the case when the PUT used a subscripted field). Back in regression testing.

#3 - 03/08/2013 03:41 PM - Greg Shah

Code Review:

Could we have added this as an additional case in annotations/array_expansion.rules?

#4 - 03/08/2013 03:47 PM - Constantin Asofiei

I had a feeling there was another file where this was done already for some other cases, but my brain chose to ignore it. Yes, we can add it to

array_expansion, to have all in one place. Although, on a second thought, I can't tell how easy will be to integrate it with the logic in array_expansion,

not just copy-paste it from the the file to this one.

#5 - 03/08/2013 03:59 PM - Constantin Asofiei

The good news is that 0308h.zip has passed conversion regression testing - no changes.

#6 - 03/08/2013 05:25 PM - Greg Shah

- File ges_upd20130308g.zip added

Take a look at this.  I think this should do the same thing.

#7 - 03/09/2013 03:01 AM - Constantin Asofiei

Thanks, that did the trick. I'm putting it through conversion regression testing.

#8 - 03/09/2013 04:44 AM - Constantin Asofiei

The  ges_upd20130308g.zip update has passed conversion regression testing.

#9 - 03/09/2013 11:11 AM - Greg Shah

- Status changed from WIP to Closed

Checked in as bzr revision 10273.

#10 - 11/16/2016 11:06 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

ca_upd20130308f.zip 5.84 KB 03/08/2013 Constantin Asofiei

ca_upd20130308h.zip 5.85 KB 03/08/2013 Constantin Asofiei

ges_upd20130308g.zip 4.71 KB 03/08/2013 Greg Shah

Powered by TCPDF (www.tcpdf.org)

05/06/2024 2/2

http://www.tcpdf.org

